VERSION = 1.02

FILES = floppy_cs.mk README.floppy_cs \
        modules/floppy_cs.c modules/patches/floppy20.fix \
        modules/patches/floppy22.fix etc/floppy.opts \
        etc/floppy man/floppy_cs.4 etc/cis/FB2FDC.cis

all:
	$(MAKE) -C modules MODULES=floppy_cs.o
install:
	$(MAKE) -C modules install-modules MODULES=floppy_cs.o
	$(MAKE) -C man install-man4 MAN4=floppy_cs.4
	$(MAKE) -C etc install-clients CLIENTS=floppy CLIENT_OPTS=floppy.opts
#
# These make target are for me to construct distributions and patch files.
# So ignore them.
#
dist:
	tar czvf floppy_cs-$(VERSION).tar.gz $(FILES)
mkpatch20:
	-rm -f modules/patches/floppy20.fix
	-diff --unified --label=drivers/block/floppy.c.orig  \
	    /usr/src/linux-2.0.x/drivers/block/floppy.c.orig \
	    --label=drivers/block/floppy.c \
	    /usr/src/linux-2.0.x/drivers/block/floppy.c > modules/patches/floppy20.fix
	-diff --unified --label=drivers/block/Config.in.orig  \
	    /usr/src/linux-2.0.x/drivers/block/Config.in.orig \
	    --label=drivers/block/Config.in \
	    /usr/src/linux-2.0.x/drivers/block/Config.in >> modules/patches/floppy20.fix
	-diff --unified --label=Documentation/Configure.help.orig  \
	    /usr/src/linux-2.0.x/Documentation/Configure.help.orig \
	    --label=Documentation/Configure.help \
	    /usr/src/linux-2.0.x/Documentation/Configure.help >> modules/patches/floppy20.fix

	-diff --unified --label=include/linux/fdreg.h.orig  \
	    /usr/src/linux-2.0.x/include/linux/fdreg.h.orig \
	    --label=include/linux/fdreg.h \
	    /usr/src/linux-2.0.x/include/linux/fdreg.h >> modules/patches/floppy20.fix
	-diff --unified --label=include/asm-i386/floppy.h.orig  \
	    /usr/src/linux-2.0.x/include/asm-i386/floppy.h.orig \
	    --label=include/asm-i386/floppy.h \
	    /usr/src/linux-2.0.x/include/asm-i386/floppy.h >> modules/patches/floppy20.fix
mkpatch22:
	-rm -f modules/patches/floppy22.fix
	-diff --unified --label=drivers/block/floppy.c.orig  \
	    /usr/src/linux-2.2.x/drivers/block/floppy.c.orig \
	    --label=drivers/block/floppy.c \
	    /usr/src/linux-2.2.x/drivers/block/floppy.c > modules/patches/floppy22.fix
	-diff --unified --label=drivers/block/Makefile.orig  \
	    /usr/src/linux-2.2.x/drivers/block/Makefile.orig \
	    --label=drivers/block/Makefile \
	    /usr/src/linux-2.2.x/drivers/block/Makefile >> modules/patches/floppy22.fix
	-diff --unified --label=drivers/block/Config.in.orig  \
	    /usr/src/linux-2.2.x/drivers/block/Config.in.orig \
	    --label=drivers/block/Config.in \
	    /usr/src/linux-2.2.x/drivers/block/Config.in >> modules/patches/floppy22.fix
	-diff --unified --label=Documentation/Configure.help.orig  \
	    /usr/src/linux-2.2.x/Documentation/Configure.help.orig \
	    --label=Documentation/Configure.help \
	    /usr/src/linux-2.2.x/Documentation/Configure.help >> modules/patches/floppy22.fix

	-diff --unified --label=include/linux/fdreg.h.orig  \
	    /usr/src/linux-2.2.x/include/linux/fdreg.h.orig \
	    --label=include/linux/fdreg.h \
	    /usr/src/linux-2.2.x/include/linux/fdreg.h >> modules/patches/floppy22.fix
	-diff --unified --label=include/asm-i386/floppy.h.orig  \
	    /usr/src/linux-2.2.x/include/asm-i386/floppy.h.orig \
	    --label=include/asm-i386/floppy.h \
	    /usr/src/linux-2.2.x/include/asm-i386/floppy.h >> modules/patches/floppy22.fix
